GET /accounts/{id}/follow-status/{userId}

Whether an Instagram user (IGSID from a webhook) follows the account, with profile counters. Meta answers only for people who messaged the account: otherwise 200 with isFollower null and unavailableReason (consent_required, dm_access_disabled, not_messageable, error)

GET
/accounts/{id}/follow-status/{userId}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Instagram account id

userId*string

Instagram-scoped user id (IGSID)

Query Parameters

refresh?"1"

Re-check with the platform instead of the 10-minute cache

Value in"1"

Response Body

FollowStatus

application/json
  1. response
userId?string
accountId?string
isFollower?boolean|null
isFollowedByAccount?boolean|null
followerCount?integer|null
isVerified?boolean|null
username?string|null
name?string|null
unavailableReason?string|null
Example Request
curl -X GET 'https://example.com/api/v1/accounts/string/follow-status/string'
Example Response
{  "userId": "string",  "accountId": "string",  "isFollower": true,  "isFollowedByAccount": true,  "followerCount": 0,  "isVerified": true,  "username": "string",  "name": "string",  "unavailableReason": "string"}